package scripting.dal;

import java.util.Iterator;
import org.cresques.cts.IProjection;
import org.gvsig.fmap.dal.feature.Feature;
import org.gvsig.fmap.dal.feature.FeatureSelection;
import org.gvsig.fmap.dal.feature.FeatureSet;
import org.gvsig.fmap.dal.feature.FeatureType;

/**
 *
 *
 */
public class FLyrVect extends org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect {

    public IProjection getProjectionCode() {
        return null;
    }
    
    /**
     *
     * @param filterExpresion, optional
     * @param sortby, optional
     * @param asc, optional
     * @return
     */
    public FeatureSet features(String filterExpresion, String sortby, boolean asc) {
        return null;
    }

    /**
     * 
     * @return 
     */
    public Iterator<Feature> __iter__() {
        return null;
    }

    /**
     * 
     * @return 
     */
    public int __len__() {
        return 0;
    }

    /**
     * 
     */
    public void edit() {
        
    }

    /**
     * 
     */
    public void append(...) {
        
    }

    /**
     * 
     * @param schema 
     */
    public void updateSchema(FeatureType schema) {
        
    }

    /**
     * 
     * @param feature 
     */
    public void update(Feature feature) {
        
    }

    /**
     * 
     * @return 
     */
    public FeatureType getSchema() {
        return null;
    }

    /**
     * 
     */
    public void commit() {
        
    }

    /**
     * 
     */
    public void abort() {
        
    }

    /**
     * 
     * @return 
     */
    public FeatureSelection getSelecion() {
        return null;
    }

    /**
     * 
     * @param selection 
     */
    public void select(FeatureSelection selection) {
        
    }

    /**
     * 
     * @param selection 
     */
    public void deselect(FeatureSelection selection) {
        
    }

    /**
     * 
     * @param feature
     * @return 
     */
    public boolean isSelected(Feature feature) {
        return false;
    }

    /**
     * Returns the java object associated to this python object. With the
     * current implementation this is not necessary, don't use now python
     * wrappers for java objects.
     *
     * @return 
     * @deprecated this method now return self alwais.
     *
     */
    public Object __call__() {
        return null;
    }

}
